#header {
	position: relative;
	z-index: 999;
	color: $gray;
	background: $white;
	//box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.11);

	.header-top-black {
		background: $black;

		span {
			padding: 10px 0;
			display: block;
			color: $white;
			text-transform: uppercase;
			font-size: 10px;
			font-weight: 700;
		    letter-spacing: 5px;
		}

		.register {
			display: flex;
			justify-content: center;
			align-items: center;
			padding: 10px;
			color: $white;
			text-transform: uppercase;
			font-size: 13px;
			letter-spacing: 3px;
			font-weight: 700;

			i {
				font-size: 16px;
				color: $brand-primary;
				margin-right: 5px;
			}
		}

		.btn-wsp {
			background-color: $brand-primary;
			text-align: center;
			color: $white;
			font-weight: 700;
			font-size: 12px;
			letter-spacing: 3px;
			padding: 10px;
			display: flex;
			align-items: center;
			justify-content: center;

			i {
				font-size: 16px;
				font-weight: 100;
				margin-right: 5px;
			}

			&:hover {
				color: $white !important;
			}
		}
	}

	.logo {
		max-width: 100%;
	}

	#_desktop_logo {
		h1 {
			margin-bottom: 0;
		}
	}

	a {
		&:hover {
			color: $brand-primary !important;
			text-decoration: none;
		}
	}

	.menu {
		display: inline-block;

		> ul {
			> li {
				display: inline-block;
			}
		}
	}

	.icons-header {
		li {
			a.register {
				i {
					font-size: 24px;
					color: $white;
					margin: 0;
				}
			}
		}
	}

	.search-block {
		.search-widget__group {
			position: relative;

			input {
				@include media-breakpoint-down(md) {
					font-size: 10px;
					letter-spacing: 0;
				}

				border: 1px solid $black;
				border-radius: 6px;
				background: $white;
				text-transform: uppercase;
				font-weight: 600;
				color: $black;
				font-size: 12px;
				letter-spacing: 2px;
				padding-left: 40px;
				outline: none;
			}

			.search-widget__btn {
				position: absolute;
				top: 0;
				padding: 0;
				line-height: 25px;
				bottom: 0;
				left: 5px;
				margin: auto;
				color: $black;
			}
		}
	}

	.header-nav {
		#menu-icon {
			margin: 0 1rem;
			vertical-align: middle;
			cursor: pointer;

			.material-icons {
				line-height: 50px;
			}
		}

		.right-nav {
			display: flex;
			flex-wrap: nowrap;
			justify-content: flex-end;
		}

		.currency-selector {
			margin-top: 0.9375rem;
			margin-left: 0.9375rem;
			white-space: nowrap;
		}

		.user-info {
			margin-top: 0.9375rem;
			margin-left: 2.5rem;
			text-align: right;
			white-space: nowrap;

			.account {
				margin-left: $small-space;
			}
		}

		.language-selector {
			margin-top: 0.9375rem;
			white-space: nowrap;
		}

		.cart-preview {
			&.active {
				background: $brand-primary;

				a,
				i {
					color: $white;
				}
			}

			.shopping-cart {
				color: $gray;
				vertical-align: middle;
			}

			.body {
				display: none;
			}
		}

		.blockcart {
			height: 3rem;
			padding: 0.75rem;
			margin-left: 0.9375rem;
			text-align: center;
			white-space: nowrap;
			background: $gray-light;

			a {
				color: $gray;

				&:hover {
					color: $brand-primary;
				}
			}

			&.active {
				a:hover {
					color: $white;
				}
			}

			.header {
				margin-top: 0.125rem;
			}
		}

		#_desktop_contact_link {
			display: inline-block;

			#contact-link {
				margin-top: 0.9375rem;
			}
		}

		.search-widget {
			margin-top: 0.2rem;
		}

		.material-icons {
			line-height: inherit;

			&.expand-more {
				margin-left: -0.375rem;
			}
		}

		.text-info span {
			text-transform: uppercase;
			font-size: 12px;
			font-weight: 800;
			color: $black;
			letter-spacing: 4px;
		}

		.blockcart {
			border-radius: 25px;
			display: inline-block;
			position: relative;
			background: $brand-primary;
			padding: 5px;
			height: 35px;
			min-width: 35px;
			margin-right: 0.9375rem;

			img {
				filter: invert(1);
			}

			.cart-products-count {
				position: absolute;
				color: $black;
				background: $white;
				border-radius: 25px;
				padding: 3px;
				line-height: 13px;
				top: -5px;
				right: -10px;
				font-size: 12px;
				min-width: 20px;
				height: 20px;
			}
		}
	}

	.header-top {
		display: flex;
		justify-content: center;

		> .container {
			position: relative;

			> .row:first-of-type {
				display: flex;
				align-items: center;
			}
		}

		.menu {
			padding-left: 15px;
		}

		&-right {
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		.position-static {
			position: static;
		}

		li.category {
			padding: 0 20px;
			float: left;
			position: static;

			a[data-depth="0"] {
				color: $black;
				text-transform: uppercase;
				letter-spacing: 5px;
				font-size: 14px;
				font-weight: 800;
				border-bottom: 3px solid transparent;

				&:hover {
					border-bottom: 3px solid $brand-primary;
					color: $black !important;
				}
			}
		}

		li.current {
			a[data-depth="0"] {
				border-bottom: 3px solid $brand-primary;
			}
		}

		.top-menu[data-depth="1"] > li {
			padding: 0;
			width: 100%;
		}

		.search-widget {
			float: right;
		}
	}

	.top-menu-link {
		margin-left: $medium-space;
	}

	@include media-breakpoint-down(sm) {
		.top-logo {
			display: flex;
			align-items: center;
			min-height: 50px;

			> h1 {
				margin: 0;
			}
		}
	}
}
